alias usysctl='systemctl --user'

# From https://mastodon.xyz/@CarlCravens/105758509287927276
alias clear='clear; tput cup $LINES 0'

alias camoff='sudo modprobe -r uvcvideo' # sudo rmmod -f uvcvideo
alias camon='sudo modprobe uvcvideo'

alias coderadio='mpv https://coderadio-admin.freecodecamp.org/radio/8010/radio.mp3'

alias clip="xclip -sel clip"

ahbh(){ # I'm not sure if this works
	git rev-list --left-right --count \
		"$(git remote show origin | sed -n '/HEAD branch/s/.*: //p')"..."$(git branch --show-current)"
}

# quickly cd into a ghq dir
cghq(){
	cd $(ghq root)/$(ghq list | grep "$1" | head -1)
}

alias ls='exa' # -ag
alias la='exa -l'
alias ll='exa -lahg'

alias pu='git push'
alias st='git st'

foldersize(){
	du -sh "$@"
}

tmm(){
	if [ -z "$1" ]; then
	tmux attach-session -t 0 || tmux
	else
	tmux attach-session -t "$1" || tmux new-session -t "$1" || tmux
	fi
}
